Package org.opencv.core

## Class RotatedRect

- java.lang.Object
- - org.opencv.core.RotatedRect

-     public class RotatedRect
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `angle` |
    `Point` | `center` |
    `Size` | `size` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RotatedRect()` |
    `RotatedRect​(double[] vals)` |
    `RotatedRect​(Point c, Size s, double a)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Rect` | `boundingRect()` |
    `RotatedRect` | `clone()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |
    `void` | `points​(Point[] pt)` |
    `void` | `set​(double[] vals)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### center

          public Point center

    - #### size

          public Size size

    - #### angle

          public double angle

  - ### Constructor Detail

    - #### RotatedRect

          public RotatedRect()

    - #### RotatedRect

          public RotatedRect​(Point c,
                             Size s,
                             double a)

    - #### RotatedRect

          public RotatedRect​(double[] vals)

  - ### Method Detail

    - #### set

          public void set​(double[] vals)

    - #### points

          public void points​(Point[] pt)

    - #### boundingRect

          public Rect boundingRect()

    - #### clone

          public RotatedRect clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`